#
# spec file for package pam_ldap (Version 137)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cyrus-sasl cyrus-sasl-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib cyrus-sasl-devel gcc gdbm gettext heimdal-lib libtool libz openldap2 openldap2-client openldap2-devel openssl openssl-devel pam perl rpm

Name:         pam_ldap
License:      GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:        Productivity/Networking/LDAP/Clients
Provides:     pam_ldap
Autoreqprov:  on
Version:      137
Release:      155
Summary:      PAM module for LDAP authentication
URL:          http://www.padl.com/pam_ldap.html
Source:       pam_ldap-%{version}.tar.bz2
Source1:      README.SuSE
Patch:        pam_ldap-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is a PAM Module, which supports LDAP. The advantages of
this special version are:

o Support for changing passwords in LDAP

o Compatibility with the nss_ldap configuration file format

Authors:
--------
    PADL Software Pty Ltd <dev@padl.com>

SuSE series: n

%prep
%setup
%patch -E
cp -v  %{S:1} .
%{suse_update_libdir README pam_ldap.c pam.conf}

%build
%{suse_update_config -f}
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-nds \
                                    --with-ldap-lib=openldap \
				    --libdir=/%{_lib} \
				    --with-ldap-conf-file=/etc/openldap/ldap.conf
				    
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/openldap
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING.LIB README README.SuSE ChangeLog ldap.conf pam.d
/%{_lib}/security/pam_ldap.so
%dir /etc/openldap

%changelog -n pam_ldap
* Thu Jul 25 2002 - tcrhak@suse.cz
- fix of a syslog format string bug
* Thu Mar 21 2002 - kukuk@suse.de
- Fix docu, add hint about new pam_unix2.conf configuration
* Mon Feb 04 2002 - tcrhak@suse.cz
- update to version 137, used %%{_lib}
* Tue Jan 15 2002 - kukuk@suse.de
- Update to version 135 (correct uid check)
- Fix "use_first_pass" option (check if old password was really
  set, set old token earlier)
* Sat Jan 12 2002 - kukuk@suse.de
- Fix broken PAM config files
- Use pam_unix2.so
* Tue Dec 04 2001 - tcrhak@suse.cz
- update to version 134
* Tue Aug 07 2001 - cihlar@suse.cz
- update to version 122
- added Url
* Wed Jun 20 2001 - pblaha@suse.cz
- update on version 118
* Mon May 07 2001 - kukuk@suse.de
- Fix more example config files (get ride of pam_pwdb, use
  correct pam_unix options)
* Fri Apr 27 2001 - kukuk@suse.de
- Fix name of config option
- Don't print "Error: success" if we are no LDAP user
- Fix example config files (module stacking, syntax error)
* Wed Mar 21 2001 - ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 - pblaha@suse.cz
- update on version 105
- add buildroot
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Jan 31 2001 - choeger@suse.de
- link against ldaplib2
* Tue Dec 05 2000 - kukuk@suse.de
- Update to version 82
- Don't log user name of failed logins
* Sat Nov 04 2000 - kukuk@suse.de
- Use ldaplib in neededforbuild
* Wed Sep 27 2000 - kukuk@suse.de
- Fix sshd example
* Wed May 17 2000 - kukuk@suse.de
- Update to version 51
- Adjust example pam config files (Bug 2862)
* Tue Feb 15 2000 - kukuk@suse.de
- Update to version 46
* Tue Oct 12 1999 - kukuk@suse.de
- Update to version 42
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - kukuk@suse.de
- Update to version 39
* Mon Jul 12 1999 - kukuk@suse.de
- Add README.SuSE and ldap.conf to documentation
- Create /etc/openldap directory
* Fri Jun 25 1999 - kukuk@suse.de
- Update to version 36
* Wed Jun 16 1999 - kukuk@suse.de
- First Version
